> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

> Search searches for function invocations with filtering and ordering support



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/functions/{function_id}/invocations/search
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/functions/{function_id}/invocations/search:
    post:
      tags:
        - Function Invocation
      summary: Search
      description: >-
        Search searches for function invocations with filtering and ordering
        support
      operationId: c1.api.functions.v1.FunctionsInvocationSearchService.Search
      parameters:
        - in: path
          name: function_id
          required: true
          schema:
            description: The function ID to search invocations for.
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.functions.v1.FunctionsInvocationSearchRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.functions.v1.FunctionsInvocationSearchResponse
          description: >-
            FunctionsInvocationSearchResponse is the response for searching
            function invocations.
      x-codeSamples:
        - lang: go
          label: Search
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.FunctionsInvocationSearch.Search(ctx, operations.C1APIFunctionsV1FunctionsInvocationSearchServiceSearchRequest{\n        FunctionID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.FunctionsInvocationSearchResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.functionsInvocationSearch.search({
                functionId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.functions.v1.FunctionsInvocationSearchRequestInput:
      description: >-
        FunctionsInvocationSearchRequest is the request for searching function
        invocations.
         Results are returned in descending order by created_at (newest first).
      properties:
        pageSize:
          description: The number of results to return per page.
          format: int32
          readOnly: false
          type: integer
        pageToken:
          description: The pagination token for fetching the next page.
          readOnly: false
          type: string
      title: Functions Invocation Search Request
      type: object
      x-speakeasy-name-override: FunctionsInvocationSearchRequest
    c1.api.functions.v1.FunctionsInvocationSearchResponse:
      description: >-
        FunctionsInvocationSearchResponse is the response for searching function
        invocations.
      properties:
        list:
          description: The list of function invocations, ordered by created_at descending.
          items:
            $ref: '#/components/schemas/c1.api.functions.v1.FunctionInvocation'
          nullable: true
          readOnly: false
          type: array
        nextPageToken:
          description: The pagination token for fetching the next page.
          readOnly: false
          type: string
      title: Functions Invocation Search Response
      type: object
      x-speakeasy-name-override: FunctionsInvocationSearchResponse
    c1.api.functions.v1.FunctionInvocation:
      description: The FunctionInvocation message.
      properties:
        commitId:
          description: The commitId field.
          readOnly: false
          type: string
        createdAt:
          format: date-time
          readOnly: false
          type: string
        error:
          description: The error field.
          readOnly: false
          type: string
        functionId:
          description: The functionId field.
          readOnly: false
          type: string
        id:
          description: The id field.
          readOnly: false
          type: string
        input:
          additionalProperties: true
          readOnly: false
          type: object
        output:
          additionalProperties: true
          readOnly: false
          type: object
        status:
          description: The status field.
          enum:
            - FUNCTION_INVOCATION_STATUS_UNSPECIFIED
            - FUNCTION_INVOCATION_STATUS_PENDING
            - FUNCTION_INVOCATION_STATUS_RUNNING
            - FUNCTION_INVOCATION_STATUS_SUCCESS
            - FUNCTION_INVOCATION_STATUS_ERROR
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        updatedAt:
          format: date-time
          readOnly: false
          type: string
      title: Function Invocation
      type: object
      x-speakeasy-name-override: FunctionInvocation
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````